Summary:        Extract data from python stack frames and tracebacks for informative displays
Name:           python-stack-data
Version:        0.6.2
Release:        6%{?dist}
License:        MIT
URL:            http://github.com/alexmojaki/stack_data
Source0:        %{pypi_source stack_data}

Patch0001:      https://github.com/alexmojaki/stack_data/pull/48.patch
# https://github.com/alexmojaki/stack_data/issues/50
Patch5000:      no-typeguard.patch

BuildArch:      noarch
BuildRequires:  python3-devel gcc
BuildRequires:  python3-executing python-asttokens python-pure-eval python-pytest
BuildRequires:  python-littleutils python-pygments Cython < 3~~


%description
This is a library that extracts data from stack frames and tracebacks,
particularly to display more useful tracebacks than the default. It
powers the tracebacks in IPython and futurecoder.

%package -n     python3-stack-data
Summary:        %{summary}

%description -n python3-stack-data
This is a library that extracts data from stack frames and tracebacks,
particularly to display more useful tracebacks than the default. It
powers the tracebacks in IPython and futurecoder.


%prep
%autosetup -n stack_data-%{version} -p1

# After upgrading pygments to 2.16, the color is different from expected
find tests/golden_files/ -type f | xargs sed -i s/197/204/

%generate_buildrequires
%pyproject_buildrequires -r -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files stack_data


%check
%tox


%files -n python3-stack-data -f %{pyproject_files}
%doc README.md

%changelog
* Fri Sep 15 2023 Miaojun Dong <zoedong@tencent.com> - 0.6.2-6
- Disable typeguard check, stack-data is not yet adapted to typeguard v3 and v4
- Fix the color diffrencent and Update test_pygments_example with pygments-2.16

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 0.6.2-1
- initial build
